/*
	This is a program to test the database connectivity. 
	It pulls out the contents of the ITEM table and displays in a tabular fashion.
*/

import java.sql.*;

class JDBCTest {
	private Connection con = null;
	private Statement stmt = null;
	private ResultSet rs = null;
 
	public JDBCTest() throws SQLException, ClassNotFoundException {
		Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
		con = DriverManager.getConnection("jdbc:odbc:db120");
		stmt = con.createStatement();
	}

	public void getData(String sqlStmt) throws SQLException {
		rs = stmt.executeQuery(sqlStmt)	;
	}

	public void printData() throws SQLException {
		while (rs.next()) {
			System.out.println();
			System.out.print("    " + rs.getString(1));
			System.out.print("    " + rs.getString(2));
			System.out.print("    " + rs.getString(3));
			System.out.print("    " + rs.getString(4));
			System.out.print("    " + rs.getInt(5));
			System.out.print("    " + rs.getInt(6));
			System.out.print("    " + rs.getString(7));
			System.out.print("    " + rs.getString(8));
			System.out.println();
		}
	}


	public static void main(String[] args) throws SQLException, ClassNotFoundException {
		JDBCTest obj = new JDBCTest();
		String sqlStmt = "select * from ITEM";
		obj.getData(sqlStmt);
		obj.printData();
	}
}